Option Strict Off
Option Explicit On
Module Module8
    Private Declare Function ECF_RetornoAliquotas Lib "CONVECF.DLL" (ByVal Aliq As String) As Integer
    Private Declare Function ECF_VerificaTotalizadoresNaoFiscaisMFD Lib "CONVECF.DLL" (ByVal Totalizador As String) As Integer

    Function Aliquotas() As Object
        Dim retorno As Object
        Dim Aliq, temp As String
        Dim pos, I As Integer

        Aliq = Space(79)

        retorno = ECF_RetornoAliquotas(Aliq)


        MsgBox(" 'Aliquotas' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Alíquotas: ")

        I = 1
        pos = 1
        Do While pos > 0

            pos = InStr(1, Aliq, ",")

            If pos > 0 Then
                temp = Left(Aliq, pos - 1)
                Aliq = Right(Aliq, Len(Aliq) - pos)
                Form1.List1.Items.Add("    " & Right("0" & CStr(I), 2) & ": " & temp)
                I = I + 1
            End If
        Loop


        Form1.List1.Items.Add("    " & Right("0" & CStr(I), 2) & ": " & Aliq)
        Form1.List1.Items.Add("")
    End Function

    Function TotalizadoresNaoFiscais() As Object
        Dim retorno As Object
        Dim Totalizador As String
        Dim temp As String
        Dim pos, I As Integer

        Totalizador = Space(599)

        retorno = ECF_VerificaTotalizadoresNaoFiscaisMFD(Totalizador)


        MsgBox(" 'Totalizadores Não-Fiscais' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Totalizadores:")
        I = 1
        pos = 1
        Do While pos > 0

            pos = InStr(1, Totalizador, ",")

            If pos > 0 Then
                temp = Left(Totalizador, pos - 1)
                Totalizador = Right(Totalizador, Len(Totalizador) - pos)

                Form1.List1.Items.Add("    " & Right("0" & CStr(I), 2) & ": " & temp)
                I = I + 1
            End If


        Loop

        Form1.List1.Items.Add("    " & Right("0" & CStr(I), 2) & ": " & Totalizador)
    End Function
End Module